# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Huawei Inc.

summary: sysotad.conf accepts BootLoaderType=inert
details: |
  The "inert" bootloader, which is used by default unless changed by sysotad.conf,
  disables interactions between the OTA service and the boot loader.
environment:
  SYSTEMD_COLORS: "false"
prepare: |
  systemctl stop sysotad.service
  mkdir -p /etc/sysota
  cat <<'SYSOTA_CONF' >/etc/sysota/sysotad.conf
  [OTA]
  BootLoaderType=inert
  [Debug]
  BootAPI=true
  SYSOTA_CONF
execute: |
  systemctl start sysotad.service
  systemctl is-failed sysotad.service | MATCH 'active'
  busctl call org.oniroproject.sysota1 /org/oniroproject/sysota1/Service org.oniroproject.sysota1.BootLoader TrySwitch s "A" 2>&1 | MATCH 'Call failed: boot protocol is not set'
